       module func_forQCDco
         use SM_const
       implicit none
       contains
!--------------------------------------------------
         double precision function C_mc(x)
         double precision, intent(in):: x
         ! This expressions have been implimented in report of A.Djouadi
         C_mc=(25.d0*x/6.d0)**(12.d0/25.d0)*(1.d0+1.014d0*x+1.389d0*x**2+1.091d0*x**3)
         end function
!--------------------------------------------------
!--------------------------------------------------
         double precision function C_mb(x)
         double precision, intent(in):: x
         ! This expressions have been implimented in report of A.Djouadi
         C_mb=(23.d0*x/6.d0)**(12.d0/23.d0)*(1.d0+1.175d0*x+1.501d0*x**2+0.1725d0*x**3)
         end function
!------------------------------------------------
         double precision function mq_bar(mu,alpha_s_mu,alpha_s_mq,mq_MS_mq)
         double precision, intent(in):: mu,alpha_s_mq,alpha_s_mu,mq_MS_mq
        if (mq_MS_mq .eq. mc_MS) then
              mq_bar=mc_MS*C_mb(alpha_s_mu/pi)/C_mc(alpha_s_mq/pi)

        elseif (mq_MS_mq .eq. mb_MS) then
              mq_bar=mb_MS*C_mb(alpha_s_mu/pi)/C_mb(alpha_s_mq/pi)
              endif
              end function
!-------------------------------------------------
         double precision function alphas(lam_QCD,mu,N_af)
         implicit none
         double precision, intent(in):: mu,N_af,lam_QCD
         double precision:: beta0,beta1,beta2,ell_mu
         beta0=11.d0-2.d0/3.d0*N_af
         beta1=51.d0-19.d0/3.d0*N_af
         beta2=2857.d0-5033.d0/9.d0*N_af+325.d0/27.d0*N_af**2
         ell_mu=log(mu**2/lam_QCD**2)
              alphas=&
                   4.d0*pi/beta0/ell_mu*(&
                    1.d0-2.d0*beta1/beta0**2*log(ell_mu)/ell_mu&
                   +4.d0*beta1**2/beta0**4/ell_mu**2*(&
                      (log(ell_mu)-1.d0/2.d0)**2+beta2*beta0/8.d0/beta1**2-5.d0/4.d0 )&
                    )
              end function
       end module func_forQCDco 
